function isEmpty(value) {
	return value == null || value.length == 0;
}

function validateMetadata() {
	if ( validateMD() ) {
		submitGetRequest( baseURL + "action=getMessage&key=CATMANAGE_VALIDATE_SUCCESS,CATMANAGE_VALIDATE_SUCCESS_HEADER", 				
				function(result) {
					var list = JSON.parse( result )
					var message = list[0];
					var header = list[1];
					openInformation( message, header );
				}, 				
				null, true );
	}
}

/**
* validates the values entered by a user
*/
function validateMD() {
	if ( isEmpty( getInputValue( 'contactIndividualName' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_MD_PERSON' );
	};
	if ( isEmpty( getInputValue( 'contactOrganisationName' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_MD_ORGA' );
		return false;
	} ;
	if ( isEmpty( getInputValue( 'contactDeliveryPoint' ) ) ){
		openWarning( 'CATMANAGE_VALIDATE_MISSING_MD_STREET' );
		return false;
	};
	if ( isEmpty( getInputValue( 'contactCity' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_MD_CITY' );
		return false;
	};
	if ( isEmpty( getInputValue( 'contactPostalCode' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_MD_POSTALCODE' );
		return false;
	};
	if ( isEmpty( getInputValue( 'contactCountry' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_MD_COUNTRY' );
		return false;
	};
	if ( isEmpty( getInputValue( 'contactVoice' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_MD_VOICE' );
		return false;
	};
	if ( isEmpty( getInputValue( 'contactEmailAddress' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_MD_EMAIL' );		
		return false;
	};
	if ( isEmpty( getInputValue( 'datasetTitle' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_TITLE' );
		return false;
	};
	if ( isEmpty( getInputValue( 'abstract' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_ABSTRACT' );
		return false;
	};	
	if ( isEmpty( getInputValue( 'datasetId' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_ID' );
		return false;
	};
	if ( isEmpty( getInputValue( 'creationYYYY' ) ) &&
	     isEmpty( getInputValue( 'publicationYYYY' ) ) &&
	     isEmpty( getInputValue( 'revisionYYYY' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_DATE' );
		return false;
	};
	if ( !isEmpty( getInputValue( 'creationYYYY' ) ) && isEmpty( getInputValue( 'creationMM' ) ) ) { 
		setInputValue( 'creationMM', '01' );
	};
	if ( !isEmpty( getInputValue( 'creationYYYY' ) ) && isEmpty( getInputValue( 'creationDD' ) ) ) { 
		setInputValue( 'creationDD', '01' );
	};
	if ( !isEmpty( getInputValue( 'publicationYYYY' ) ) && isEmpty( getInputValue( 'publicationMM' ) ) ) { 
		setInputValue( 'publicationMM', '01' );
	};
	if ( !isEmpty( getInputValue( 'publicationYYYY' ) ) && isEmpty( getInputValue( 'publicationDD' ) ) ) { 
		setInputValue( 'publicationDD', '01' );
	};
	if ( !isEmpty( getInputValue( 'revisionYYYY' ) ) && isEmpty( getInputValue( 'revisionMM' ) ) ) { 
		setInputValue( 'revisionMM', '01' );
	};
	if ( !isEmpty( getInputValue( 'revisionYYYY' ) ) && isEmpty( getInputValue( 'revisionDD' ) ) ) { 
		setInputValue( 'revisionDD', '01' );
	};
	if ( isEmpty( getInputValue( 'beginYYYY' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_BEGIN' );
		return false;
	};
	if ( isEmpty( getInputValue( 'endYYYY' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_END' );
		return false;
	};
	if ( isEmpty( getInputValue( 'beginMM' ) ) ) { 
		setInputValue( 'beginMM', '01' );
	};
	if ( isEmpty( getInputValue( 'beginDD' ) ) ) { 
		setInputValue( 'beginDD', '01' );
	};
	if ( isEmpty( getInputValue( 'endMM' ) ) ) { 
		setInputValue( 'endMM', '01' );
	};
	if ( isEmpty( getInputValue( 'endDD' ) ) ) { 
		setInputValue( 'endDD', '01' );
	};
	
	if ( isEmpty( getInputValue( 'pocIndividualName' ) ) ) {	
		openWarning( 'CATMANAGE_VALIDATE_MISSING_POC_PERSON' );
		return false;
	};
	if ( isEmpty( getInputValue( 'pocOrganisationName' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_POC_ORGA' );
		return false;
	} ;
	if ( isEmpty( getInputValue( 'pocDeliveryPoint' ) ) ){
		openWarning( 'CATMANAGE_VALIDATE_MISSING_POC_STREET' );
		return false;
	};
	if ( isEmpty( getInputValue( 'pocCity' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_POC_CITY' );
		return false;
	};
	if ( isEmpty( getInputValue( 'pocPostalCode' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_POC_POSTALCODE' );
		return false;
	};
	if ( isEmpty( getInputValue( 'pocCountry' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_POC_COUNTRY' );
		return false;
	};
	if ( isEmpty( getInputValue( 'pocVoice' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_POC_VOICE' );
		return false;
	};
	if ( isEmpty( getInputValue( 'pocEmailAddress' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_MISSING_POC_EMAIL' );
		return false;
	};
	if ( getInputValue( 'scale' ) != null && 
	     getInputValue( 'scale' ) != '' && 
	     !isPositiveInteger( getInputValue( 'scale' ) ) ) {
		openWarning( 'CATMANAGE_VALIDATE_INVALID_SCALE' );
		return false;
	};
		
	return true;
}
